{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}
{% load data_filters %}

{% block title %}{% trans 'Administration log' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'adminlog/adminlog_handle.html' %}

  <table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
    <thead>
      <tr>
        <th data-options="field:'ck',checkbox:true"></th>
        <th data-options="field:'time',align:'center',width:180">Time</th>
        <th data-options="field:'username',align:'center',width:100">User</th>
        <th data-options="field:'operation',align:'center',width:180">Operation</th>
        <th data-options="field:'data',align:'center',width:180">Data</th>
        <th data-options="field:'object_type',align:'center',width:180">Content</th>
     </tr>
    </thead>
    <tbody>
	    {% for adminlog in adminlogs %}
	      <tr>
	        <td><input type="checkbox"></td>
	        <td>{{ adminlog.time|time_format }}</a></td>
	        <td>{{ adminlog.user.username }}</td>
	        <td>{{ adminlog.operation }}</td>
	        <td>{{ adminlog.data }}</td>
	        <td>{{ adminlog.object_type }}</td>
	      </tr>
	   	{% endfor %}
    </tbody>
  	</table>

   {% include 'paginator.html' with paginator=adminlogs %}

{% endblock content %}
